
Synnefo - Bug # 1425

Status: Closed Priority: Medium

Author: Christos Stathis Category: Pithos

Created: 10/04/2011 Assignee: Antony Chazapis

Updated: 02/08/2013 Due date:

Subject: What is the format of version timestamps

Description

Object level GET with version=list returns{"versions": [[14113, 1317390330.4284201]]}

The timestamp 's format does not seem valid

History

#1 - 10/05/2011 02:11 pm - Antony Chazapis

- Status changed from New to Resolved

- Assignee set to Antony Chazapis

The time returned is in standard UNIX/POSIX time format (http://en.wikipedia.org/wiki/Unix_time).

We actually use the time.time() python function, which: "Return the time as a floating point number expressed in seconds since the epoch, in UTC."

Subsecond precision should be useful for syncing algorithms, etc. For just viewing the timestamp, you can safely strip the decimal part (convert to int).

#2 - 10/06/2011 02:25 pm - Antony Chazapis

- Status changed from Resolved to Closed

- Target version set to 0.7.8

#3 - 02/08/2013 06:59 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.7.8)

#4 - 02/08/2013 07:00 pm - Vangelis Koukis

- Category set to Pithos
